"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PeerAPI = void 0;
const api_1 = require("./api");
class PeerAPI extends api_1.BaseAPI {
    constructor() {
        super(...arguments);
        this.cache = {};
        this.fetchProfile = (address) => __awaiter(this, void 0, void 0, function* () {
            if (address in this.cache) {
                return this.cache[address];
            }
            const promise = fetch(`${this.url}/lambdas/profile/${address.toLowerCase()}`).then(res => res.json());
            this.cache[address] = promise;
            return promise;
        });
    }
}
exports.PeerAPI = PeerAPI;
//# sourceMappingURL=peer.js.map