"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidType = exports.areEqual = exports.hasAuthorization = exports.getTokenAmountToApprove = void 0;
const utils_1 = require("web3x-es/utils");
const types_1 = require("./types");
function getTokenAmountToApprove() {
    return utils_1.toBN(2).pow(utils_1.toBN(180));
}
exports.getTokenAmountToApprove = getTokenAmountToApprove;
function hasAuthorization(authorizations, authorizationToFind) {
    return authorizations.some(authorization => areEqual(authorization, authorizationToFind));
}
exports.hasAuthorization = hasAuthorization;
function areEqual(left, right) {
    return (left.type === right.type &&
        left.authorizedAddress === right.authorizedAddress &&
        left.tokenAddress === right.tokenAddress &&
        left.chainId === right.chainId);
}
exports.areEqual = areEqual;
function isValidType(type) {
    return Object.values(types_1.AuthorizationType).includes(type);
}
exports.isValidType = isValidType;
//# sourceMappingURL=utils.js.map