import { Profile } from './types';
export declare const LOAD_PROFILE_REQUEST = "[Request] Load profile";
export declare const LOAD_PROFILE_SUCCESS = "[Success] Load profile";
export declare const LOAD_PROFILE_FAILURE = "[Failure] Load profile";
export declare const loadProfileRequest: (address: string) => import("typesafe-actions/dist/types").PayloadAction<"[Request] Load profile", {
    address: string;
}>;
export declare const loadProfileSuccess: (address: string, profile: Profile) => import("typesafe-actions/dist/types").PayloadAction<"[Success] Load profile", {
    address: string;
    profile: Profile;
}>;
export declare const loadProfileFailure: (address: string, error: string) => import("typesafe-actions/dist/types").PayloadAction<"[Failure] Load profile", {
    address: string;
    error: string;
}>;
export declare type LoadProfileRequestAction = ReturnType<typeof loadProfileRequest>;
export declare type LoadProfileSuccessAction = ReturnType<typeof loadProfileSuccess>;
export declare type LoadProfileFailureAction = ReturnType<typeof loadProfileFailure>;
export declare const CHANGE_PROFILE = "Change Profile";
export declare const changeProfile: (address: string, profile: Profile) => import("typesafe-actions/dist/types").PayloadAction<"Change Profile", {
    address: string;
    profile: Profile;
}>;
export declare type ChangeProfileAction = ReturnType<typeof changeProfile>;
