"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.changeProfile = exports.CHANGE_PROFILE = exports.loadProfileFailure = exports.loadProfileSuccess = exports.loadProfileRequest = exports.LOAD_PROFILE_FAILURE = exports.LOAD_PROFILE_SUCCESS = exports.LOAD_PROFILE_REQUEST = void 0;
const typesafe_actions_1 = require("typesafe-actions");
// Load project profile
exports.LOAD_PROFILE_REQUEST = '[Request] Load profile';
exports.LOAD_PROFILE_SUCCESS = '[Success] Load profile';
exports.LOAD_PROFILE_FAILURE = '[Failure] Load profile';
const loadProfileRequest = (address) => typesafe_actions_1.action(exports.LOAD_PROFILE_REQUEST, { address });
exports.loadProfileRequest = loadProfileRequest;
const loadProfileSuccess = (address, profile) => typesafe_actions_1.action(exports.LOAD_PROFILE_SUCCESS, { address, profile });
exports.loadProfileSuccess = loadProfileSuccess;
const loadProfileFailure = (address, error) => typesafe_actions_1.action(exports.LOAD_PROFILE_FAILURE, { address, error });
exports.loadProfileFailure = loadProfileFailure;
// Change Profile
exports.CHANGE_PROFILE = 'Change Profile';
const changeProfile = (address, profile) => typesafe_actions_1.action(exports.CHANGE_PROFILE, { address, profile });
exports.changeProfile = changeProfile;
//# sourceMappingURL=actions.js.map