import { LoadingState } from '../loading/reducer';
import { Profile } from './types';
import { LoadProfileRequestAction, LoadProfileSuccessAction, LoadProfileFailureAction, ChangeProfileAction } from './actions';
export declare type ProfileState = {
    data: Record<string, Profile>;
    loading: LoadingState;
    error: Record<string, string>;
};
export declare type ProfileReducerAction = LoadProfileRequestAction | LoadProfileSuccessAction | LoadProfileFailureAction | ChangeProfileAction;
export declare const profileReducer: (state: ProfileState | undefined, action: ProfileReducerAction) => ProfileState;
