"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.profileReducer = void 0;
const reducer_1 = require("../loading/reducer");
const actions_1 = require("./actions");
const INITIAL_STATE = {
    data: {},
    loading: [],
    error: {}
};
const profileReducer = (state = INITIAL_STATE, action) => {
    switch (action.type) {
        case actions_1.LOAD_PROFILE_REQUEST:
        case actions_1.LOAD_PROFILE_FAILURE: {
            return Object.assign(Object.assign({}, state), { loading: reducer_1.loadingReducer(state.loading, action) });
        }
        case actions_1.LOAD_PROFILE_SUCCESS: {
            const { address, profile } = action.payload;
            return Object.assign(Object.assign({}, state), { data: Object.assign(Object.assign({}, state.data), { [address]: profile }), loading: reducer_1.loadingReducer(state.loading, action) });
        }
        case actions_1.CHANGE_PROFILE: {
            const { address, profile } = action.payload;
            return Object.assign(Object.assign({}, state), { data: Object.assign(Object.assign({}, state.data), { [address]: Object.assign(Object.assign({}, state.data[address]), profile) }) });
        }
        default:
            return state;
    }
};
exports.profileReducer = profileReducer;
//# sourceMappingURL=reducer.js.map