import { ProviderType } from 'decentraland-connect';
import { Wallet } from './types';
export declare const CONNECT_WALLET_REQUEST = "[Request] Connect Wallet";
export declare const CONNECT_WALLET_SUCCESS = "[Success] Connect Wallet";
export declare const CONNECT_WALLET_FAILURE = "[Failure] Connect Wallet";
export declare const connectWalletRequest: () => import("typesafe-actions/dist/types").EmptyAction<"[Request] Connect Wallet">;
export declare const connectWalletSuccess: (wallet: Wallet) => import("typesafe-actions/dist/types").PayloadAction<"[Success] Connect Wallet", {
    wallet: Wallet;
}>;
export declare const connectWalletFailure: (error: string) => import("typesafe-actions/dist/types").PayloadAction<"[Failure] Connect Wallet", {
    error: string;
}>;
export declare type ConnectWalletRequestAction = ReturnType<typeof connectWalletRequest>;
export declare type ConnectWalletSuccessAction = ReturnType<typeof connectWalletSuccess>;
export declare type ConnectWalletFailureAction = ReturnType<typeof connectWalletFailure>;
export declare const ENABLE_WALLET_REQUEST = "[Request] Enable Wallet";
export declare const ENABLE_WALLET_SUCCESS = "[Success] Enable Wallet";
export declare const ENABLE_WALLET_FAILURE = "[Failure] Enable Wallet";
export declare const enableWalletRequest: (providerType: ProviderType) => import("typesafe-actions/dist/types").PayloadAction<"[Request] Enable Wallet", {
    providerType: ProviderType;
}>;
export declare const enableWalletSuccess: (providerType: ProviderType) => import("typesafe-actions/dist/types").PayloadAction<"[Success] Enable Wallet", {
    providerType: ProviderType;
}>;
export declare const enableWalletFailure: (error: string) => import("typesafe-actions/dist/types").PayloadAction<"[Failure] Enable Wallet", {
    error: string;
}>;
export declare type EnableWalletRequestAction = ReturnType<typeof enableWalletRequest>;
export declare type EnableWalletSuccessAction = ReturnType<typeof enableWalletSuccess>;
export declare type EnableWalletFailureAction = ReturnType<typeof enableWalletFailure>;
export declare const CHANGE_ACCOUNT = "Change Account";
export declare const changeAccount: (wallet: Wallet) => import("typesafe-actions/dist/types").PayloadAction<"Change Account", {
    wallet: Wallet;
}>;
export declare type ChangeAccountAction = ReturnType<typeof changeAccount>;
export declare const CHANGE_NETWORK = "Change Network";
export declare const changeNetwork: (wallet: Wallet) => import("typesafe-actions/dist/types").PayloadAction<"Change Network", {
    wallet: Wallet;
}>;
export declare type ChangeNetworkAction = ReturnType<typeof changeNetwork>;
export declare const DISCONNECT_WALLET = "Disconnect";
export declare const disconnectWallet: () => import("typesafe-actions/dist/types").EmptyAction<"Disconnect">;
export declare type DisconnectWalletAction = ReturnType<typeof disconnectWallet>;
export declare const FETCH_WALLET_REQUEST = "[Request] Fetch Wallet";
export declare const FETCH_WALLET_SUCCESS = "[Success] Fetch Wallet";
export declare const FETCH_WALLET_FAILURE = "[Failure] Fetch Wallet";
export declare const fetchWalletRequest: () => import("typesafe-actions/dist/types").EmptyAction<"[Request] Fetch Wallet">;
export declare const fetchWalletSuccess: (wallet: Wallet) => import("typesafe-actions/dist/types").PayloadAction<"[Success] Fetch Wallet", {
    wallet: Wallet;
}>;
export declare const fetchWalletFailure: (error: string) => import("typesafe-actions/dist/types").PayloadAction<"[Failure] Fetch Wallet", {
    error: string;
}>;
export declare type FetchWalletRequestAction = ReturnType<typeof fetchWalletRequest>;
export declare type FetchWalletSuccessAction = ReturnType<typeof fetchWalletSuccess>;
export declare type FetchWalletFailureAction = ReturnType<typeof fetchWalletFailure>;
